POST
/apple-app/test-credentialsTest Apple credentials
Validates Apple App Store Connect credentials against the Apple API without saving anything. Returns the app name on success.
Request Body
Bodyapplication/json
| Field | Type | Notes |
|---|---|---|
keyId | string | required |
issuerId | string | |
storeId | string | required |
privateKey | string | required |
isIndividualKey | boolean |
GET
/apps/{appId}/apple-appGet App Store credentials
Returns Apple App Store Connect credentials including Key ID, Issuer ID, Store ID, and vendor number.
Parameters
appIdpathrequiredPUT
/apps/{appId}/apple-appUpdate App Store credentials
Updates Apple App Store Connect credentials with support for partial updates of individual fields.
Parameters
appIdpathrequiredRequest Body
Bodyapplication/json
| Field | Type | Notes |
|---|---|---|
keyId | string | |
issuerId | string | |
storeId | string | |
privateKey | string | |
vendorNumber | string | |
isIndividualKey | boolean |